import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React$1 from 'react';
import { SpacingTypes } from '@versini/ui-spacing-types';

interface ModalOptions {
	initialOpen?: boolean;
	onOpenChange?: (open: boolean) => void;
	open?: boolean;
}

declare function Modal({ children, ...options }: {
    children: React$1.ReactNode;
} & ModalOptions): react_jsx_runtime.JSX.Element;
type overlayBackgroundProps = {
    overlayBackground?: string;
};
declare const ModalContent: React$1.ForwardRefExoticComponent<Omit<React$1.HTMLProps<HTMLDivElement> & overlayBackgroundProps, "ref"> & React$1.RefAttributes<HTMLDivElement>>;
declare const ModalHeading: React$1.ForwardRefExoticComponent<Omit<React$1.HTMLProps<HTMLHeadingElement>, "ref"> & React$1.RefAttributes<HTMLHeadingElement>>;
declare const ModalDescription: React$1.ForwardRefExoticComponent<Omit<React$1.HTMLProps<HTMLParagraphElement>, "ref"> & React$1.RefAttributes<HTMLParagraphElement>>;
declare const ModalClose: React$1.ForwardRefExoticComponent<{
    trigger: React$1.ReactElement;
    className?: string;
} & React$1.RefAttributes<HTMLButtonElement>>;

type SvgIconProps = {
	/**
	 * The children to render.
	 */
	children: React.ReactNode;
	/**
	 * The default viewBox to use.
	 */
	defaultViewBox: string;
	/**
	 * The title to use for the icon. Each icon has a default title,
	 * but it can be overridden with this prop.
	 */
	title: string;
	/**
	 * CSS class(es) to add to the main component wrapper.
	 */
	className?: string;
	/**
	 * CSS class(es) to add to the main component wrapper.
	 */
	defaultClassName?: string;
	/**
	 * Update the "fill" property of the SVG.
	 * @default "currentColor"
	 */
	fill?: string;
	/**
	 * Whether or not the icon is semantic (visual and
	 * announced to assistive technologies).
	 * @default false
	 */
	semantic?: boolean;
	/**
	 * The viewBox to use. If not provided, the default viewBox will be used.
	 */
	viewBox?: string;
} & SpacingTypes.Props;

declare const SvgIcon: ({ children, fill, viewBox, className, defaultViewBox, defaultClassName, spacing, title, semantic, ...rest }: SvgIconProps) => react_jsx_runtime.JSX.Element;

export { Modal, ModalClose, ModalContent, ModalDescription, ModalHeading, SvgIcon };
